%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-docklike-plugin
Summary:	A modern, minimalist taskbar for Xfce
Version:	0.4.2
Release:	%mkrel 1
License:	GPLv3+
Group:		Graphical desktop/Xfce
Url:		https://docs.xfce.org/panel-plugins/xfce4-docklike-plugin/start
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-docklike-plugin/%{url_ver}/xfce4-docklike-plugin-%{version}.tar.bz2
BuildRequires:  xfce4-dev-tools
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(x11)

%description
Docklike Taskbar behaves similarly to many other desktop environments and
operating systems. Wherein all application windows are grouped together as an
icon and can be pinned to act as a launcher when the application is not
running. Commonly referred to as a dock.

%prep
%autosetup -p1

%build
%xdt_autogen
%configure
%make_build

%install
%make_install

%if 0%{?mageia} < 9
find %{buildroot} -name "*.la" -delete
%endif

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md TODO.md
%{_libdir}/xfce4/panel/plugins/libdocklike.so
%{_datadir}/xfce4/panel/plugins/docklike.desktop
